#include <iostream>
#include <cmath>
using namespace std;
int main()
{
	string s;
	int a1, a2;
	cin >>s;
	cin>>a1>>a2;
	if(abs(a1-a2)>1)
	{
		cout<<"nemoguce";
		return 0;
	}
	if (a1==a2)
	{
		for(int i = 0; i<a1; i++)
		{
			cout<<s[0];
			cout<<s[1];
		}
		return 0;
	}
	if (a1>a2)
	{
		for(int i = 0; i<a2; i++)
		{
			cout<<s[0];
			cout<<s[1];
		}
		cout<<s[0];
		return 0;
	}
	else
	{
		for(int i = 0; i<a1; i++)
		{
			cout<<s[1];
			cout<<s[0];
		}
		cout<<s[1];
		return 0;
	}
}